﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public class MockWatcherRepository : IWatcherRepository
    {
        public IEnumerable<Watcher> GetWatchersByScreenId(int screenId)
        {
            var screen = new Screen
            {
                ScreenId = 1,
                Name = "Kirby's screen",
                Source = "https://vcinema.b-cdn.net/shrek.mp4",
                PlayStateUpdated = new DateTime(2020, 9, 21, 21, 02, 57),
                PlayState = true,
                PlayOffset = 1337
            };

            return new List<Watcher>
            {
                new Watcher
                {
                    WatcherId = 1,
                    ConnectionId = "dJSbEc73n6YjGIhj-SZz1Q",
                    Name = "Kirby",
                    Screen = screen
                },
                new Watcher
                {
                    WatcherId = 2,
                    ConnectionId = "rNA9Jn7ytYPzQfFJ-j3NBa",
                    Name = "Jack",
                    Screen = screen
                }
            };
        }

        public Watcher GetWatcherByConnectionId(string connectionId)
        {
            return new Watcher
            {
                WatcherId = 1,
                ConnectionId = "dJSbEc73n6YjGIhj-SZz1Q",
                Name = "Kirby",
                Screen = null
            };
        }

        public Watcher AddWatcher(string connectionId)
        {
            return new Watcher
            {
                WatcherId = 1,
                ConnectionId = connectionId,
                Name = "Kirby",
                Screen = null
            };
        }

        public Watcher AddWatcher(string connectionId, int screenId)
        {
            return new Watcher
            {
                WatcherId = 1,
                ConnectionId = connectionId,
                Name = "Kirby",
                Screen = new Screen
                {
                    ScreenId = screenId,
                    Name = "Kirby's screen",
                    Source = "https://vcinema.b-cdn.net/shrek.mp4",
                    PlayStateUpdated = new DateTime(2020, 9, 21, 21, 02, 57),
                    PlayState = true,
                    PlayOffset = 1337
                }
            };
        }

        public Watcher SetWatcherName(string connectionId, string name)
        {
            return new Watcher
            {
                WatcherId = 1,
                ConnectionId = connectionId,
                Name = "Kirby",
                Screen = null
            };
        }

        public void DeleteWatcher(string connectionId)
        {

        }
    }
}
